Bug 1222120 - keepass: option to lock workspace on suspend does not work [fedora-all]
Summary: keepass: option to lock workspace on suspend does not work [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: keepass
Version: 21
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Peter Oliver
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1128499 1251734
Blocks: 1222119
TreeView+ depends on / blocked
 
Reported: 2015-05-15 19:34 UTC by Fabio Olive Leite
Modified: 2015-12-02 23:50 UTC (History)
2 users (show)

Fixed In Version: keepass-2.30-2.fc22
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 12:22:35 UTC


Attachments (Terms of Use)

Description Fabio Olive Leite 2015-05-15 19:34:57 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Fabio Olive Leite 2015-05-15 19:35:03 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1222119,1222120

# Description of your update
notes=Security fix for 

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1222119,1222120

Comment 2 Peter Oliver 2015-05-17 12:48:00 UTC
Reported upstream at https://sourceforge.net/p/keepass/bugs/1378/

Comment 3 Peter Oliver 2015-06-01 16:58:00 UTC
KeePass 2.30 will disable these options when running under Mono.

Comment 4 Fedora Update System 2015-08-09 17:18:07 UTC
keepass-2.30-2.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/keepass-2.30-2.fc23

Comment 5 Fedora Update System 2015-08-15 02:08:10 UTC
keepass-2.30-2.fc23 has been pushed to the Fedora 23 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-11-22 21:50:03 UTC
keepass-2.30-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-703a7aad00

Comment 7 Fedora Update System 2015-11-22 21:51:50 UTC
keepass-2.30-2.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-aceb4313a9

Comment 8 Fedora Update System 2015-11-24 00:23:53 UTC
keepass-2.30-2.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update keepass'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-aceb4313a9

Comment 9 Fedora Update System 2015-11-24 00:54:41 UTC
keepass-2.30-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update keepass'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-703a7aad00

Comment 10 Fedora End Of Life 2015-12-02 12:22:47 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 11 Fedora Update System 2015-12-02 23:50:23 UTC
keepass-2.30-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.